function [time_series_mean, data_point_count] = compute_time_series_mean_with_nan(time_series_cell)
% compute time series mean that contains nan
% Author: Xiongtao Ruan
% Date: Mar. 16, 2017
% Refactorize

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu



non_nan_inds = cell2mat(cellfun(@(x) ~isnan(sum(x, 2)), time_series_cell, 'UniformOutput', false)');
time_series_mat = cat(3, time_series_cell{:});
time_series_mat(isnan(time_series_mat)) = 0;
time_series_mean = bsxfun(@rdivide, sum(time_series_mat, 3), sum(non_nan_inds, 2));
data_point_count = sum(non_nan_inds, 2);

end
