
%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu



function [time_series_array] = kinetic_extract(sensor_ind, region_ind, X, sensor_num)

    % extract time series array for a region of a sensor
    % Jan. 2016
    
    
    if nargin < 4
        sensor_num = 6;
    end

    [m, n] = size(X);

    per_sensor_region_num = m / sensor_num;

    time_series_array = X((sensor_ind - 1) * per_sensor_region_num + region_ind, :);

end