#!/bin/sh
# control function for running the pipeline with different options

#
# Author: Xiongtao Ruan
#
# Copyright (C) 2012-2017 Murphy Lab
# Computational Biology Department
# School of Computer Science
# Carnegie Mellon University
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 2 of the License,
# or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# For additional information visit http://murphylab.web.cmu.edu or
# send email to murphy@cmu.edu



command_list=( \
"master_script(struct('named_options_set', 'CGP', 'opt_std', 'CV_M2_merge_214'))" \
"master_script(struct('named_options_set', 'CGP', 'opt_std', 'CV_M2_merge_7'))" \
"master_script(struct('named_options_set', 'CGP', 'opt_std', 'CV_M2_merge_25'))" \
"master_script(struct('named_options_set', 'CGP', 'opt_std', 'CV_M2'))" \
"master_script(struct('named_options_set', 'CENR', 'opt_std', 'CV_M2'))" \
"master_script(struct('named_options_set', 'CENR', 'opt_std', 'CV_M2_merge_214'))" \
"master_script(struct('named_options_set', 'CENR', 'opt_std', 'CV_M2_merge_7'))" \
"master_script(struct('named_options_set', 'CENR', 'opt_std', 'CV_M2_merge_25'))" \
"master_script(struct('named_options_set', 'CGP', 'opt_std', 'CV_M2_merge_214', 'skip_permutation_tests', false, 'permutation_tests_shuffling_method', 'Same_protein'))" \
)


for (( i = 0 ; i < ${#command_list[@]} ; i++ ))
do
    # echo "${command_list[i]}"
    bash matlab_interface_function.sh "${command_list[i]}"
done


