function [t_cell_info] = master_script_cross_validation(t_cell_info, param)
% control function for cross validation
% Author: Xiongtao Ruan
% Date: March 16, 2017
% 

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu



param = t_cell_info.param;
tcell_models_location = t_cell_info.path_info.tcell_models_location;
results_location = t_cell_info.path_info.results_location;
data_location = t_cell_info.path_info.data_location;
clustering_result_location = t_cell_info.path_info.clustering_result_location;
cross_validation_location = t_cell_info.path_info.cross_validation_location;
model_location = t_cell_info.path_info.model_location;
permutation_test_location = t_cell_info.path_info.permutation_test_location;
figure_location = t_cell_info.path_info.figure_location;

cv_sub_location = t_cell_info.path_info.cv_sub_location;
model_sub_location = t_cell_info.path_info.model_sub_location;
figure_sub_location = t_cell_info.path_info.figure_sub_location;
permutation_sub_location = t_cell_info.path_info.permutation_sub_location;

current_timepoint = param.current_timepoint;
lag_time = param.lag_time;
cluster_num = param.cluster_num;
cluster_type = param.cluster_type;
vol_thresh = param.vol_thresh;
cluster_sensor = param.cluster_sensor;
data_type = param.data_type;

% due to some differences between two methods, perform cross validation
% using scripts separately. 
switch param.causal_method
    case 'CGP'
        [t_cell_info] = master_script_CGP_cross_validation(t_cell_info, param);
    case 'CENR'
        [t_cell_info] = master_script_CENR_cross_validation(t_cell_info, param);
end



end
