function [t_cell_info] = master_script_download_raw_tcell_models(t_cell_info)
% Download primary data from the web
% 
% copied from master_script_CGP_clustering_ROI_postprocessing.m
% 
% Author: Xiongtao Ruan xruan@andrew.cmu.edu
% Date: Apr. 13, 2017

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu


   
close all;

param = t_cell_info.param;

tcell_models_location = t_cell_info.path_info.tcell_models_location;
tcell_models_weblink = param.tcell_models_weblink;

disp('Checking if image collections are present.');
if ~exist( [tcell_models_location '.succesfully_downloaded_models'] )
    numdownloaded = 0;

    %2D/3D HeLa dataset
    tarball = 'raw_tcell_models.zip';
	tarball_temp_filename = ['../', tarball];
    url = tcell_models_weblink;
% this just checks for one of the directories and assumes that the rest are
% there
    if ~exist( tarball )
        go=input('Downloading primary data (raw t cell models) [2.0 GB], enter y to continue: ','s');
        if (upper(go)=='Y')
            urlwrite([url filesep tarball], tarball_temp_filename);

            disp('Extracting files');
            unzip( tarball_temp_filename );
            delete( tarball_temp_filename );
            numdownloaded = numdownloaded + 1;
        end
    end

    if numdownloaded == 1 
        fclose(fopen([tcell_models_location '.succesfully_downloaded_modelss'], 'w'));
    end
else
    disp('T cell models already present.');
end






end
