function [default_param]= master_script_get_default_params()
% xruan 2017-03-15
% used for set the default parameters

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu





default_param.named_options_set = 'CENR';

% default_param.tcell_models_location = '/projects/cellorganizer/xruan/tcell_project/tcell_excel_1pt_synapse_inference_2016092501/landmark-smoothing-method_none_intensity-morphing-method_none_models/';

default_param.tcell_models_location = '../Tcell_time_series_models/';
default_param.tcell_models_weblink = '';
default_param.skip_downoload_primary_data = true;


default_param.results_location = '../Tcell_causality_intermediate_results/';
[~, hostname] = system('hostname');
default_param.hostname = strtrim(hostname);
% if ~false && strcmp(strtrim(hostname), 'Xiongtao-PC-Office')
%    default_param.results_location = '../test_running_04132017_1/';
% end

default_param.all_timepoint = [-40 -20 0 20 40 60 80 100 120 180 300 420];
default_param.all_relative_times = -2 : 9;
default_param.current_timepoint = [-40 -20 0 20 40 60 80 100 120 180];
default_param.relative_times = -2 : 7;
default_param.is_interpolation = false;

default_param.lag_time = 2;

default_param.cluster_num = 3;
default_param.cluster_type = 'kmeans';
default_param.cluster_sensor = 'all';
default_param.data_type = '1pt';
default_param.vol_thresh = 4;

default_param.suffix = '';
default_param.computing_suffix = '';

default_param.causal_method = 'CGP';
% default_param.causal_method = 'CENR';

default_param.opt_std = 'CV_M2_merge_214';
default_param.merge_proteins = false;

default_param.cv_param = struct();
default_param.cv_param.M_group = 2;
default_param.cv_param.cv_fold = 5;
default_param.cv_param.lambda_1_group = round(logspace(-4, -1, 10), 8);
default_param.cv_param.lambda_2_group = round(logspace(-4, -1, 10), 8);
default_param.cv_param.lambda_3_group = [0];
default_param.cv_param.is_computing = ~false;

default_param.residual_compute_method = 2;

default_param.current_condition = 'Full Stimulus';


default_param.generate_figures = true;

default_param.permutation_tests = true;

default_param.plot_roc = true;

default_param.permutation_tests_num = 50000;
default_param.skip_permutation_tests = true;
default_param.permutation_tests_shuffling_method = 'Same_protein';

end
