function [status] = mkdir_recursive(full_path)
    % xruan 07/25/2015 
    % mkdir recursively
    path_list = strsplit(full_path, '/');

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu



    path_depth_i = '';
    for i = 1 : length(path_list)
        if strcmp(path_list{i}, '~')
            path_depth_i = '~';
            continue;
        end
        path_depth_i = strjoin( {path_depth_i, path_list{i}}, '/');
        if ~exist(path_depth_i, 'dir')
            mkdir(path_depth_i);
        end

    end
    status = 1;

end