function [model] = model_reconstruction(model_vector, subscripts, outside_val)
% reconstruct the model vector as the 3d image version
% and label the outside as outside_val.

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu





    if nargin < 3
        outside_val = 0;
    end
    model_x = 71;
    model_y = 71;
    model_z = 35;
    % label the outside of the model as  outside_val.
    model = ones(model_y, model_x, model_z) * outside_val; 
    model(sub2ind(size(model), subscripts(:, 1), subscripts(:, 2), subscripts(:, 3))) = model_vector;
    
end
