function [acro, lag] = xcorr_compute(effect, cause)
% assume cause, effect have the same length
% use unnormalized cross correlation

%
% Author: Xiongtao Ruan
%
% Copyright (C) 2012-2017 Murphy Lab
% Computational Biology Department
% School of Computer Science
% Carnegie Mellon University
%
% This program is free software; you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published
% by the Free Software Foundation; either version 2 of the License,
% or (at your option) any later version.
%
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
% General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with this program; if not, write to the Free Software
% Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
% 02110-1301, USA.
%
% For additional information visit http://murphylab.web.cmu.edu or
% send email to murphy@cmu.edu



n = numel(effect);
N = 2 * n - 1;

acro = zeros(N, 1);

for i = 1 : N
    if i <= n
        cause_i = cause( end - i + 1 : end) ;
        effect_i = effect(1 : i);
    else
        cause_i = cause(1 : 2 * n - i) ;
        effect_i = effect(i - n + 1 : end);
    end
    % acro(i) = (1 / numel(y_i) * sum(y_i .* x_i) - mean(y_i) * mean(x_i)) / (std(y_i, 1) * std(x_i, 1));
    acro(i) = (1 / numel(cause_i) * sum(cause_i .* effect_i) - mean(cause_i) * mean(effect_i)) ;

end

lag = -n + 1 : n - 1;


end
